Debian Bug report logs - #564876
smartd: internal error in MailWarning(): cfg.mailwarn->emailfreq=0

version graph

Package: smartmontools; Maintainer for smartmontools is Giuseppe Iuculano <iuculano@debian.org>; Source for smartmontools is src:smartmontools.

Reported by: Antti Pyykko <debbugs@pyksy.fi>

Date: Tue, 12 Jan 2010 11:48:01 UTC

Severity: minor

Found in version smartmontools/5.39-2

Fixed in version smartmontools/5.39.1+svn3060-1

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/apps/trac/smartmontools/ticket/41

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#564876; Package smartmontools. (Tue, 12 Jan 2010 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antti Pyykko <debbugs@pyksy.fi>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Tue, 12 Jan 2010 11:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antti Pyykko <debbugs@pyksy.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smartd: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
Date: Tue, 12 Jan 2010 13:44:42 +0200
Package: smartmontools
Version: 5.39-2
Severity: minor

Smartd logs internal error along with the notification of a failing hard disk.

>From /var/log/syslog
-8<-
Jan 12 13:42:11 hanuri smartd[9147]: Device: /dev/sdc, 5 Currently unreadable (pending) sectors
Jan 12 13:42:11 hanuri smartd[9147]: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
-8<-

/etc/smartd.conf has:
-8<-
/dev/sda -d ata -I 194 -I 190
/dev/sdb -d ata -I 194 -I 190
/dev/sdc -d ata -I 194 -I 190
/dev/sdd -d ata -I 194 -I 190
/dev/sde -d ata -I 194 -I 190
/dev/sdf -d ata -I 194 -I 190
-8<-

/etc/default/smartmontools has:
-8<-
enable_smart="/dev/sda /dev/sdb /dev/sdc /dev/sdd /dev/sde /dev/sdf"
start_smartd=yes
-8<-


-- Package-specific info:
Output of /usr/share/bug/smartmontools:
CONFIG_IDE_TASK_IOCTL=y

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages smartmontools depends on:
ii  debianutils                   3.2.2      Miscellaneous utilities specific t
ii  libc6                         2.10.2-5   Embedded GNU C Library: Shared lib
ii  libcap-ng0                    0.6.2-4    An alternate posix capabilities li
ii  libgcc1                       1:4.4.2-9  GCC support library
ii  libselinux1                   2.0.89-4   SELinux runtime shared libraries
ii  libstdc++6                    4.4.2-9    The GNU Standard C++ Library v3
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages smartmontools recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20090911cvs-2 simple mail user agent
ii  mailx              1:20081101-2          Transitional package for mailx ren

Versions of packages smartmontools suggests:
pn  gsmartcontrol                 <none>     (no description available)
pn  powersaved                    <none>     (no description available)
pn  smart-notifier                <none>     (no description available)

-- no debconf information




Set Bug forwarded-to-address to 'https://sourceforge.net/apps/trac/smartmontools/ticket/41'. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 18:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#564876; Package smartmontools. (Fri, 22 Jan 2010 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Fri, 22 Jan 2010 19:33:04 GMT) Full text and rfc822 format available.

Message #12 received at 564876@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Antti Pyykko <debbugs@pyksy.fi>, 564876@bugs.debian.org
Subject: Re: Bug#564876: smartd: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
Date: Fri, 22 Jan 2010 20:31:44 +0100
[Message part 1 (text/plain, inline)]
Hi,

Il 12/01/2010 12:44, Antti Pyykko ha scritto:
>>From /var/log/syslog
> -8<-
> Jan 12 13:42:11 hanuri smartd[9147]: Device: /dev/sdc, 5 Currently unreadable (pending) sectors
> Jan 12 13:42:11 hanuri smartd[9147]: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
> -8<-


Is this reproducible on this system or did it happen only one time?

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#564876; Package smartmontools. (Fri, 22 Jan 2010 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antti Pyykko <debbugs@pyksy.fi>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Fri, 22 Jan 2010 21:27:04 GMT) Full text and rfc822 format available.

Message #17 received at 564876@bugs.debian.org (full text, mbox):

From: Antti Pyykko <debbugs@pyksy.fi>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 564876@bugs.debian.org
Subject: Re: Bug#564876: smartd: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
Date: Fri, 22 Jan 2010 23:25:02 +0200 (EET)
On Fri, 22 Jan 2010, Giuseppe Iuculano wrote:

>>> From /var/log/syslog
>> -8<-
>> Jan 12 13:42:11 hanuri smartd[9147]: Device: /dev/sdc, 5 Currently unreadable (pending) sectors
>> Jan 12 13:42:11 hanuri smartd[9147]: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
>> -8<-
> Is this reproducible on this system or did it happen only one time?

Hi,

the messages started on Dec 10 and i have 1724 of them in my syslog.
I seem to have installed smartmontools_5.38+svn2993-1_amd64.deb on Dec 9th.

I replaced the failing hard disk last week so I do not get any messages 
anymore.

-- 
 // http://www.pyksy.fi/ // pyksy @IrcNet //




Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. (Sat, 23 Jan 2010 16:09:17 GMT) Full text and rfc822 format available.

Notification sent to Antti Pyykko <debbugs@pyksy.fi>:
Bug acknowledged by developer. (Sat, 23 Jan 2010 16:09:17 GMT) Full text and rfc822 format available.

Message #22 received at 564876-done@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Antti Pyykko <debbugs@pyksy.fi>, 564876-done@bugs.debian.org
Subject: Re: Bug#564876: smartd: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
Date: Sat, 23 Jan 2010 17:05:30 +0100
[Message part 1 (text/plain, inline)]
Il 22/01/2010 22:25, Antti Pyykko ha scritto:
> Hi,
> 
> the messages started on Dec 10 and i have 1724 of them in my syslog.
> I seem to have installed smartmontools_5.38+svn2993-1_amd64.deb on Dec 9th.
> 
> I replaced the failing hard disk last week so I do not get any messages
> anymore.

Ok, so close this bug cor the moment. Feel free to reopen it if necessary.

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#564876; Package smartmontools. (Sun, 31 Jan 2010 03:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Franke <Christian.Franke@t-online.de>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Sun, 31 Jan 2010 03:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 564876@bugs.debian.org (full text, mbox):

From: Christian Franke <Christian.Franke@t-online.de>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 564876@bugs.debian.org, Antti Pyykko <debbugs@pyksy.fi>
Subject: Re: Bug#564876: smartd: internal error in MailWarning(): cfg.mailwarn->emailfreq=0
Date: Sat, 30 Jan 2010 18:15:27 +0100
This bug exists - but only in the Debian version of smartd.

It is a regression introduced by the change for the '--capabilities' 
option (#ifdef HAVE_LIBCAP_NG). This option does not exist in the 
upstream version yet.

The patch accidentally removes the warning mail enabled check at the 
beginning of MailWarning(), see lines 2849-51 of:
http://ftp.de.debian.org/debian/pool/main/s/smartmontools/smartmontools_5.39-3.diff.gz

Please reopen this bug.

Cheers,
Christian

-- 
Christian Franke
smartmontools-support@lists.sourceforge.net





Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Jan 2010 09:27:30 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Thu, 04 Feb 2010 07:54:03 GMT) Full text and rfc822 format available.

Notification sent to Antti Pyykko <debbugs@pyksy.fi>:
Bug acknowledged by developer. (Thu, 04 Feb 2010 07:54:04 GMT) Full text and rfc822 format available.

Message #34 received at 564876-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 564876-close@bugs.debian.org
Subject: Bug#564876: fixed in smartmontools 5.39.1+svn3060-1
Date: Thu, 04 Feb 2010 07:51:03 +0000
Source: smartmontools
Source-Version: 5.39.1+svn3060-1

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.39.1+svn3060-1.diff.gz
  to main/s/smartmontools/smartmontools_5.39.1+svn3060-1.diff.gz
smartmontools_5.39.1+svn3060-1.dsc
  to main/s/smartmontools/smartmontools_5.39.1+svn3060-1.dsc
smartmontools_5.39.1+svn3060-1_i386.deb
  to main/s/smartmontools/smartmontools_5.39.1+svn3060-1_i386.deb
smartmontools_5.39.1+svn3060.orig.tar.gz
  to main/s/smartmontools/smartmontools_5.39.1+svn3060.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 564876@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Feb 2010 08:16:37 +0100
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.39.1+svn3060-1
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 564876
Changes: 
 smartmontools (5.39.1+svn3060-1) unstable; urgency=low
 .
   * [a23d511] Imported Upstream version 5.39.1+svn3060
     - A regression caused by capabilities was fixed. (Closes: #564876)
   * [89c9890] Removed patches merged in upstream
Checksums-Sha1: 
 93945c21e6b247b94e6a0bda16a63eeb5d7b3d56 1550 smartmontools_5.39.1+svn3060-1.dsc
 b8ae4fd795e7f415efe294ca7c44f612d22c6368 594820 smartmontools_5.39.1+svn3060.orig.tar.gz
 44557ef6aa3aed0a717a8b8943150cd118365d72 32681 smartmontools_5.39.1+svn3060-1.diff.gz
 be943aefa362297705afb5674f3e8014af31d3b4 423662 smartmontools_5.39.1+svn3060-1_i386.deb
Checksums-Sha256: 
 9c4c5527a0af5a828bce789ea21fe8bc043ce70804f90de31e80dc079c6b5d39 1550 smartmontools_5.39.1+svn3060-1.dsc
 cc7ddb9d0326bd4c8cb35cc10efc25e8f7fb9f670d03754eb6efebd3e06d97e1 594820 smartmontools_5.39.1+svn3060.orig.tar.gz
 46c29a8c81e79a1ae4645388fb250317e7ee1071fe7ac90886f5400474b465a5 32681 smartmontools_5.39.1+svn3060-1.diff.gz
 e55d756a5e48918a28e69eb3fd17cc0edd87fcbd6fa58e14d7f5960eaa2f15c6 423662 smartmontools_5.39.1+svn3060-1_i386.deb
Files: 
 70991050691be70713a653e060028c3e 1550 utils optional smartmontools_5.39.1+svn3060-1.dsc
 ed2583b28aad1c09160332c90138c462 594820 utils optional smartmontools_5.39.1+svn3060.orig.tar.gz
 28e53cc668a399ae44756a2aee8d5005 32681 utils optional smartmontools_5.39.1+svn3060-1.diff.gz
 7688c2b101ecfa1ab756e6fde3d31372 423662 utils optional smartmontools_5.39.1+svn3060-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktqdrcACgkQNxpp46476aooWwCfaT+o1SoRFDUybNwQUXBICABF
IGUAoIjjTZq5TFP2zdlsbrLQ24+Hmsti
=UfBg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jun 2011 07:34:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:08:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.